package com.sky.ioc.service.person;

import com.sky.ioc.entity.Index;
import com.sky.ioc.entity.domain.person.Person;
import com.sky.ioc.tool.ReturnMsg;

import java.util.List;

public interface PersonService {

    ReturnMsg pageList(String name,String companyName,String deptName,Integer type,Integer status,Integer page,Integer pageSize);

    ReturnMsg addPerson(Person person);

    ReturnMsg editPerson(Person person);

    ReturnMsg delPersonById(Integer id);

    ReturnMsg delBatchById(List<Integer> ids);
}
